#!/hint/bash -euE
# Copyright (C) 2024  Umorpha Systems
# SPDX-License-Identifier: AGPL-3.0-or-later

# Specify minimum versions.
packages+=(
	'mkinitcpio>=39'
	'systemd>=255.4-2.parabola1'
)

post_install+=(20:arm:post_install)
arm:post_install() {
	local arg_mountpoint=$1

	# https://labs.parabola.nu/issues/3584
	mkdir -p -- "$arg_mountpoint/etc/pacman.d/gnupg"
	echo allow-weak-key-signatures >>"$arg_mountpoint/etc/pacman.d/gnupg/gpg.conf"

	# Why does ALARM have to do things silly?  Let the mkinitcpio
	# alpm hook create the preset files instead of including them
	# as part of the kernel package.  (modules/base-uki.sh changes
	# the template that the alpm hook uses).
	rm -f -- "$arg_mountpoint"/etc/mkinitcpio.d/*.preset

	# TODO: Set CONFIG_DRM_PRIVACY_SCREEN=y and/or
	# CONFIG_CHROMEOS_PRIVACY_SCREEN=m in the linux-libre config
	# for ARM?
	sed -i /drm_privacy_screen_register/d -- "$arg_mountpoint"/usr/lib/initcpio/install/kms
}
